;-ADCA Ch0 Conversion Complete ISR---schaltet muxer um, datentransport ins ram macht DMA ch0------------------------
ADCA_CH0_ISR:			push		r16
						in			r16,CPU_SREG
						push		r16

						;....
						ldi			r16,0x01
						sts			CVAR_SRAM_MAIN_PEEP_CON,r16
						;....
						
						lds			r16,ADCA_CH0_MUXCTRL						; lade ch0 multiplexer zustand in r16

						andi		r16,0b01111000								; sondiere pinnummer-bits
						cpi			r16,88										; wenn pin11 gewandelt wurde
						breq		ADCA_CH0_ISR_NEW							; springe

						lds			r16,ADCA_CH0_MUXCTRL						; lade ch0 multiplexer zustand in r16

						subi		r16,-8										; schalte muxer auf nchsten pin

ADCA_CH0_ISR_END:		sts			ADCA_CH0_MUXCTRL,r16						; schreibe neues ch0 multiplexer register

						ldi			r16,0b00000101								; start conversion auf ch0			
						sts			ADCA_CTRLA,r16								; "

						pop			r16
						out			CPU_SREG,r16
						pop			r16
						reti

;-----------------------------------------------------------------------------------------------------
ADCA_CH0_ISR_NEW:		andi		r16,0b10000111								; setze muxer auf pin0
						
						jmp			ADCA_CH0_ISR_END

;------------------------------------------------------------------------------------------------------