;-Steuerung der Energieversorgung der Submodule------------------------------------------------------------------
SubModControl:			push		r16
						push		r17
						
						lds			r16,CVAR_SRAM_MAIN_STATUS_3											; lade statusbyte 3 in r16
						sbrc		r16,0																; wenn akku leer flag gesetzt ist
						jmp			SubModControl_OFF													; springe

						lds			r16,CVAR_SRAM_MAIN_STATUS_2											; lade statusbyte 2 in r16
						sbrc		r16,4																; wenn power down mode aktiv ist
						jmp			SubModControl_OFF													; springe

						lds			r16,CVAR_SRAM_MAIN_SUBMODRECOG										; lade die vorhandenen module aus dem ram
						ori			r16,0b10000000														; setze bit7 high (Engine ist kein modul, daher immer 1)
						lds			r17,CVAR_SRAM_MAIN_SUBMODPOWER										; lade einschaltzustand der submodule aus ram

						and			r16,r17

SubModControl_END:		sts			CVAR_SRAM_PORTX1_OUTPUT,r16											; setze die outputs der spannungsversorgung der submodule entsprechend
						
						pop			r17
						pop			r16
						ret

;------------------------------------------------------------------------------------------------------------------
SubModControl_OFF:		ldi			r16,0b00000000														; setze alle submodule power outputs null

						jmp			SubModControl_END													; springe

;------------------------------------------------------------------------------------------------------------------