;-stellt ASCII Zeichen aus r16 auf adresse x des lcd dar----------------
DrawASCII:			push		r0
					push		r1
					push		r17
					in			r17,CPU_SREG
					push		r17
					push		r18
					push		r30
					push		r31

					ldi			r18,5									; initialisiere spaltenzhler mit 5 in r18
					ldi			r17,6									; lade multiplikator fr ascii tabellen berechnung in r17
					mul			r16,r17									; multipliziere ascii zeichen(tabellenplatz) mit multiplikator

					ldi			r30,low(ASCIITabelle*2)					; lade startadresse der asciitabelle in Z
					ldi			r31,high(ASCIITabelle*2)					; "
					add			r30,r0									; addiere multiplikationsergebnis
					adc			r31,r1									; "
					
DrawASCII_1:		lpm			r17,Z+									; lade lcd spalten der ascii zeichen aus programmspeicher in r17, Z+
					st			X+,r17									; speichere lcd spaltenwert in lcd schattenram, X+

					dec			r18										; reduziere spaltenzhler um einen

					cpi			r18,1									; wenn spaltenzhler grer null
					brsh		DrawASCII_1								; springe		

					pop			r31
					pop			r30
					pop			r18
					pop			r17
					out			CPU_SREG,r17
					pop			r17
					pop			r1
					pop			r0
					ret

;-----------------------------------------------------------------------