;-schreibe alle steuerwerte aus eeprom in ram (max 128 Byte)-------------------------------------------------------
EEPROMRead:			push		r16
					in			r16,CPU_SREG
					push		r16
					push		r17
					push		r18
					push		r28
					push		r29
					push		r30
					push		r31

EEPROMRead1:		lds			r16,NVM_STATUS														; warte bis Memory Control bereit
					sbrc		r16,7																; "
					jmp			EEPROMRead1															; 

					lds			r16,MAPPED_EEPROM_START												; lade anzahl der eeprom bytes in r16
					clr			r17																	; resette r17
					
					ldi			r28,low(CVAR_SRAM_REMOTECON_START)									; lade erste adresse des remote control ram bereiches in Y
					ldi			r29,high(CVAR_SRAM_REMOTECON_START)									; "
					ldi			r30,low(MAPPED_EEPROM_START + 1)									; lade erste adresse des gemappten eeprom bereiches + 1 in Z
					ldi			r31,high(MAPPED_EEPROM_START + 1)

					add			r16,r30																; addiere byteanzahl mit eeprom startadresse
					adc			r17,r31																; "

EEPROMRead2:		ld			r18,Z+																; lade wert aus eeprom in r18
					st			Y+,r18																; speichere wert in am

					cp			r30,r16																; solange letzte eeprom nicht berschritten
					brne		EEPROMRead2															; springe
					cp			r31,r17																; "
					brne		EEPROMRead2															; "

					pop			r31
					pop			r30
					pop			r29
					pop			r28
					pop			r18
					pop			r17
					pop			r16
					out			CPU_SREG,r16
					pop			r16
					ret

;---------------------------------------------------------------------------------------------------