;-diverse statusabfragen mit ablage in ram---------------------------------------------------
StatCheck:			push		r16
					in			r16,CPU_SREG
					push		r16
					push		r17
					push		r18
					push		r19
					push		r20

					lds			r16,CVAR_SRAM_MAIN_STATUS_2										; lade statusbyte 2 in r16

					lds			r17,CVAR_SRAM_PORTX2_INPUT										; lade portex2 zustand in r17
					
					sbrs		r17,0															; wenn bugklappe offen
					ori			r16,0b00000001													; setze bit 0
					sbrc		r17,0															; wenn bugklappe geschlossen
					andi		r16,0b11111110													; lsche bit0
					
					lds			r17,PORTC_IN													; lade portc zustand in r17

					sbrs		r17,3															; wenn programmiermodus gewhlt
					ori			r16,0b00100000													; setze bit5
					sbrc		r17,3															; wenn programmiermodus abgeschaltet
					andi		r16,0b11011111													; lsche bit5

					lds			r17,PORTE_IN													; lade porte zustand in r17

					sbrs		r17,0															; wenn wlan engine lock aktiv
					ori			r16,0b10000000													; setze bit7
					sbrc		r17,0															; wenn wlan engine lock inaktiv
					andi		r16,0b01111111													; lsche bit7

					sts			CVAR_SRAM_MAIN_STATUS_2,r16										; speichere statusbyte 2 in ram


					lds			r16,CVAR_SRAM_MAIN_STATUS_1										; lade statusbyte 1 in r16

					sbrc		r17,1															; wenn wlan modul fehlt
					ori			r16,0b00000010													; setze bit1
					sbrs		r17,1															; wenn wlan modul vorhanden
					andi		r16,0b01111101													; lsche bit1

					sts			CVAR_SRAM_MAIN_STATUS_1,r16										; speichere statusbyte 1 in ram


					lds			r16,CVAR_SRAM_ADC_U_ACCU_LOW									; lade akku Spannung in r16:r17
					lds			r17,CVAR_SRAM_ADC_U_ACCU_HIGH									; "
					lds			r20,CVAR_SRAM_MAIN_STATUS_3										; lade statusbyte 3 in r20

					andi		r20,0b11111100													; lsche beide akku flags

					ldi			r18,low(CVAR_SRAM_RCON_ACCULOW_LOW)								; lade accu niedrig warngrenze in r18:r19
					ldi			r19,high(CVAR_SRAM_RCON_ACCULOW_HIGH)							; "
					cp			r16,r18															; vergleiche messwert mit warngrenze
					cpc			r17,r19															; "
					brsh		StatCheck_End													; springe, wenn nicht unterschritten

					ori			r20,0b00000010													; setze akku niedrig flag

					ldi			r18,low(CVAR_SRAM_RCON_ACCUEMPTY_LOW)							; lade accu leer warngrenze in r18:r19
					ldi			r19,high(CVAR_SRAM_RCON_ACCUEMPTY_HIGH)							; "
					cp			r16,r18															; vergleiche messwert mit warngrenze
					cpc			r17,r19															; "
					brsh		StatCheck_End													; springe, wenn nicht unterschritten

					ori			r20,0b00000001													; setze akku leer flag

StatCheck_End:		sts			CVAR_SRAM_MAIN_STATUS_3,r20										; schreibe statusbyte3 in ram

					pop			r20
					pop			r19
					pop			r18
					pop			r17
					pop			r16
					out			CPU_SREG,r16
					pop			r16
					ret

;-----------------------------------------------------------------------